[SCM] live-build branch, debian-next, updated. debian/3.0_a11-1-15-g112015d

Daniel Baumann daniel at debian.org
Thu Feb 10 22:45:33 UTC 2011


The following commit has been merged in the debian-next branch:
commit 112015d838a1b9c533d6a8dc957459ae0b67e8da
Author: Daniel Baumann <daniel at debian.org>
Date:   Thu Feb 10 23:44:40 2011 +0100

    Updating upstart support addition to current coding style.

diff --git a/functions/defaults.sh b/functions/defaults.sh
index 86bf23b..5f26615 100755
--- a/functions/defaults.sh
+++ b/functions/defaults.sh
@@ -150,16 +150,15 @@ Set_defaults ()
 	# Setting initsystem
 	case "${LB_MODE}" in
 		ubuntu)
-			if [ "${LB_INITRAMFS}" = "live-boot" ]
-			then
-				LB_INITSYSTEM="${LB_INITSYSTEM:-upstart}"
-			else
-				LB_INITSYSTEM="${LB_INITSYSTEM:-sysvinit}"
-			fi
-			;;
+			case "${LB_INITRAMFS}" in
+				live-boot)
+					LB_INITSYSTEM="${LB_INITSYSTEM:-upstart}"
+					;;
 
-		*)
-			LB_INITSYSTEM="${LB_INITSYSTEM:-sysvinit}"
+				*)
+					LB_INITSYSTEM="${LB_INITSYSTEM:-sysvinit}"
+					;;
+			esac
 			;;
 	esac
 
diff --git a/scripts/build/lb_chroot_linux-image b/scripts/build/lb_chroot_linux-image
index 411e06e..ad8c6e6 100755
--- a/scripts/build/lb_chroot_linux-image
+++ b/scripts/build/lb_chroot_linux-image
@@ -89,9 +89,10 @@ EOF
 			# lets see if we still need the squeeze's "pre init system policy discussion" hack:
 
 			IS_SYSVINIT_ESSENTIAL="$(Chroot chroot dpkg-query --show --showformat='${Essential}\n' sysvinit)"
-			RC=$?
+			RC="$?"
 
-			if [ "${IS_SYSVINIT_ESSENTIAL}" != "no" ] && [ "${RC}" == "0" ]; then
+			if [ "${IS_SYSVINIT_ESSENTIAL}" != "no" ] && [ "${RC}" = "0" ]
+			then
 				# sysvinit is both installed and essential, ugly hack to remove it
 				Chroot chroot dpkg --force-remove-essential --remove sysvinit || true
 			fi

-- 
live-build



More information about the debian-live-changes mailing list